API referenceForms

Retrieve a signup form

GET/forms/{id}

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/forms/string"
{  "object": "form",  "id": "string",  "name": "string",  "status": "active",  "fields": [    {      "name": "email",      "label": "string",      "type": "email",      "required": false,      "placeholder": "string"    }  ],  "list_ids": [    "string"  ],  "double_opt_in": true,  "redirect_url": "string",  "success_message": "string",  "spam_protection": {    "honeypot": true,    "turnstile": false,    "max_per_ip_per_hour": 20  },  "action_url": "string",  "hosted_url": "string",  "embed": {    "iframe": "string",    "html": "string"  },  "submission_count": 0,  "last_submitted_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}